import { useConfig } from '@abearxiong/use-config';
import { Sequelize } from 'sequelize';

const config = useConfig();

const postgresConfig = config.postgres;

if (!postgresConfig) {
  console.error('postgres config is required');
  process.exit(1);
}
// connect to db
export const sequelize = new Sequelize({
  dialect: 'sqlite',
  storage: 'db.sqlite',
  // logging: false,
});
